
// const actionMessageFormat = {
//     type: 'action',
//     data: {
//         command: ''
//         action: '',
//         actionData: {},
//     }
// }

function actionBuildMessage(action, data) {
    if (typeof action !== 'string') throw Error('Action name must be a string')
    return {
        type: 'action',
        data: {
            command: 'action',
            params: {
                action,
                actionData: data
            }
        }
    };
}

function actionParseResponse(response) {
    return response.data;
}

function variableBuildMessage(variable, value) {
    if (typeof variable !== 'string') throw Error('Variable name must be a string')
    return {
        type: 'action',
        data: {
            command: 'variable',
            params: {
                name: variable,
                value
            }
        }
    };
}

function variableParseResponse(response) {
    return response.data;
}

module.exports = {
    action: {
        buildMessage: actionBuildMessage,
        parseResponse: actionParseResponse,
    },
    variable: {
        buildMessage: variableBuildMessage,
        parseResponse: variableParseResponse,
    },
}
