// long-lived token
function createTokenMessage(name) {
    if (typeof name !== 'string') throw Error('Token name must be a string')
    return {
        type: 'auth',
        data: {
            command: 'longLivedToken',
            action: 'create',
            tokenName: name,
        }
    };
}

function createTokenResponse(response) {
    return response;
}


function revokeTokenMessage(name) {
    if (typeof name !== 'string') throw Error('Token name must be a string')
    return {
        type: 'auth',
        data: {
            command: 'longLivedToken',
            action: 'revoke',
            tokenName: name,
        }
    };

}

function revokeTokenResponse(response) {
    return response;
}



module.exports = {
    createToken: {
        buildMessage: createTokenMessage,
        parseResponse: createTokenResponse,
    },
    revokeToken: {
        buildMessage: revokeTokenMessage,
        parseResponse: revokeTokenResponse,
    }
};