
// const eventMessageFormat = {
//     type: 'event',
//     data: {
//         command: '',
//         event: '',
//         eventData: {},
//     }
// }

function subscribeBuildMessage(event) {
    if (typeof event !== 'string') throw Error('Event name must be a string')
    return {
        type: 'event',
        data: {
            command: 'subscribe',
            event,
        }
    };
}

function subscribeParseResponse(response) {
    return response.success;
}


function unsubscribeBuildMessage(event) {
    if (typeof event !== 'string') throw Error('Event name must be a string')
    return {
        type: 'event',
        data: {
            command: 'unsubscribe',
            event,
        }
    };
}

function unsubscribeParseResponse(response) {
    return response.success;
}


function emitBuildMessage(event, data) {
    if (typeof event !== 'string') throw Error('Event name must be a string')
    return {
        type: 'event',
        data: {
            command: 'emit',
            event,
            eventData: data
        }
    };
}

function emitParseResponse(response) {
    return response.success;
}


module.exports = {
    subscribe: {
        buildMessage: subscribeBuildMessage,
        parseResponse: subscribeParseResponse,
    },
    unsubscribe: {
        buildMessage: unsubscribeBuildMessage,
        parseResponse: unsubscribeParseResponse,
    },
    emit: {
        buildMessage: emitBuildMessage,
        parseResponse: emitParseResponse,
    },
}