// context
function contextBuildMessage({ deviceId, root }) {
    return {
        type: 'status',
        data: {
            query: 'context',
            params: {
                deviceId,
                root
            }
        }
    }
}

function contextParseResponse(response) {
    return response.data;
}

// logs
function logsBuildMessage(maxLines = 0) {
    if (typeof maxLines !== 'number') throw Error('maxLines must be a number')
    return {
        type: 'status',
        data: {
            query: 'log',
            params: {
                lines: maxLines,
            }
        }
    };

}

function logsParseResponse(response) {
    return response.data;
}


// devices
function devicesBuildMessage() {
    return {
        type: 'status',
        data: {
            query: 'devices'
        }
    }
}

function devicesParseResponse(response) {
    return response.data;
}


// systeminfo
function systemBuildMessage() {
    return {
        type: 'status',
        data: {
            query: 'system'
        }
    }
}

function systemParseResponse(response) {
    return response.data;
}

// variables
function variablesBuildMessage() {
    return {
        type: 'status',
        data: {
            query: 'variables'
        }
    }
}

function variablesParseResponse(response) {
    return response.data;
}

module.exports = {
    context: {
        buildMessage: contextBuildMessage,
        parseResponse: contextParseResponse,
    },
    logs: {
        buildMessage: logsBuildMessage,
        parseResponse: logsParseResponse,
    },
    devices: {
        buildMessage: devicesBuildMessage,
        parseResponse: devicesParseResponse,
    },
    system: {
        buildMessage: systemBuildMessage,
        parseResponse: systemParseResponse,
    },
    variables: {
        buildMessage: variablesBuildMessage,
        parseResponse: variablesParseResponse,
    },
}