// const systemMessageFormat = {
//     type: 'system',
//     data: {
//         command: '',
//         params: {}
//     }
// }

function scriptBuildMessage(name) {
    if (typeof name !== 'string') throw Error('Script name must be a string')
    return {
        type: 'system',
        data: {
            command: 'script',
            params: {
                name
            }
        }
    };
}

function scriptParseResponse(response) {
    return response.data;
}



function restartBuildMessage() {
    return {
        type: 'system',
        data: {
            command: 'restart',
        }
    };
}

function restartParseResponse(response) {
    return response.data;
}



function reloadConstantsBuildMessage() {
    return {
        type: 'system',
        data: {
            command: 'reloadConstants',
        }
    };
}

function reloadConstantsParseResponse(response) {
    return response.data;
}

module.exports = {
    restart: {
        buildMessage: restartBuildMessage,
        parseResponse: restartParseResponse,
    },
    script: {
        buildMessage: scriptBuildMessage,
        parseResponse: scriptParseResponse,
    },
    reloadConstants: {
        buildMessage: reloadConstantsBuildMessage,
        parseResponse: reloadConstantsParseResponse,
    }
};